org.apache.poi.hwpf.usermodel

## Class TableCellDescriptor

- java.lang.Object
- - org.apache.poi.hwpf.model.types.TCAbstractType
  - - org.apache.poi.hwpf.usermodel.TableCellDescriptor

- All Implemented Interfaces:
    Duplicatable

      public final class TableCellDescriptor
      extends TCAbstractType
      implements Duplicatable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.TCAbstractType

      `field_1_rgf, field_10_ftsCellPaddingBottom, field_11_ftsCellPaddingRight, field_12_wCellSpacingLeft, field_13_wCellSpacingTop, field_14_wCellSpacingBottom, field_15_wCellSpacingRight, field_16_ftsCellSpacingLeft, field_17_ftsCellSpacingTop, field_18_ftsCellSpacingBottom, field_19_ftsCellSpacingRight, field_2_wWidth, field_20_brcTop, field_21_brcLeft, field_22_brcBottom, field_23_brcRight, field_3_shd, field_4_wCellPaddingLeft, field_5_wCellPaddingTop, field_6_wCellPaddingBottom, field_7_wCellPaddingRight, field_8_ftsCellPaddingLeft, field_9_ftsCellPaddingTop`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableCellDescriptor()`
    `TableCellDescriptor(TableCellDescriptor other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableCellDescriptor` | `clone()` Deprecated.
    `static TableCellDescriptor` | `convertBytesToTC(byte[] buf, int offset)`
    `TableCellDescriptor` | `copy()`
    `protected void` | `fillFields(byte[] data, int offset)`
    `void` | `serialize(byte[] data, int offset)`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.TCAbstractType

      `getBrcBottom, getBrcLeft, getBrcRight, getBrcTop, getFtsCellPaddingBottom, getFtsCellPaddingLeft, getFtsCellPaddingRight, getFtsCellPaddingTop, getFtsCellSpacingBottom, getFtsCellSpacingLeft, getFtsCellSpacingRight, getFtsCellSpacingTop, getFtsWidth, getFUnused, getRgf, getShd, getVertAlign, getWCellPaddingBottom, getWCellPaddingLeft, getWCellPaddingRight, getWCellPaddingTop, getWCellSpacingBottom, getWCellSpacingLeft, getWCellSpacingRight, getWCellSpacingTop, getWWidth, isFBackward, isFFirstMerged, isFFitText, isFMerged, isFNoWrap, isFRotateFont, isFVertical, isFVertMerge, isFVertRestart, setBrcBottom, setBrcLeft, setBrcRight, setBrcTop, setFBackward, setFFirstMerged, setFFitText, setFMerged, setFNoWrap, setFRotateFont, setFtsCellPaddingBottom, setFtsCellPaddingLeft, setFtsCellPaddingRight, setFtsCellPaddingTop, setFtsCellSpacingBottom, setFtsCellSpacingLeft, setFtsCellSpacingRight, setFtsCellSpacingTop, setFtsWidth, setFUnused, setFVertical, setFVertMerge, setFVertRestart, setRgf, setShd, setVertAlign, setWCellPaddingBottom, setWCellPaddingLeft, setWCellPaddingRight, setWCellPaddingTop, setWCellSpacingBottom, setWCellSpacingLeft, setWCellSpacingRight, setWCellSpacingTop, setWWidth, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TableCellDescriptor

          public TableCellDescriptor()

    - #### TableCellDescriptor

          public TableCellDescriptor(TableCellDescriptor other)

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public TableCellDescriptor clone()

      Deprecated.
      Overrides:
        `clone` in class `java.lang.Object`

    - #### copy

          public TableCellDescriptor copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Returns:
        a deep copy of the implementing class / instance

    - #### convertBytesToTC

          public static TableCellDescriptor convertBytesToTC(byte[] buf,
                                                             int offset)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.